"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeScriptDocumentNodesVisitor = void 0;
const tslib_1 = require("tslib");
const visitor_plugin_common_1 = require("@graphql-codegen/visitor-plugin-common");
const auto_bind_1 = tslib_1.__importDefault(require("auto-bind"));
class TypeScriptDocumentNodesVisitor extends visitor_plugin_common_1.ClientSideBaseVisitor {
    constructor(schema, fragments, rawConfig, documents) {
        const additionalConfig = {
            documentVariablePrefix: (0, visitor_plugin_common_1.getConfigValue)(rawConfig.namePrefix, ''),
            documentVariableSuffix: (0, visitor_plugin_common_1.getConfigValue)(rawConfig.nameSuffix, ''),
            fragmentVariablePrefix: (0, visitor_plugin_common_1.getConfigValue)(rawConfig.fragmentPrefix, ''),
            fragmentVariableSuffix: (0, visitor_plugin_common_1.getConfigValue)(rawConfig.fragmentSuffix, ''),
        };
        super(schema, fragments, rawConfig, additionalConfig, documents);
        (0, auto_bind_1.default)(this);
    }
}
exports.TypeScriptDocumentNodesVisitor = TypeScriptDocumentNodesVisitor;
